Bug 1123628 - gnome-code-assistance-0.3.1 does not build vala backend with vala 0.26
Summary: gnome-code-assistance-0.3.1 does not build vala backend with vala 0.26
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-code-assistance
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ignacio Casal Quinteiro (nacho)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-27 11:05 UTC by Ville Skyttä
Modified: 2016-07-19 13:31 UTC (History)
3 users (show)

Fixed In Version: gnome-code-assistance-3.14.0-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 11:58:35 UTC


Attachments (Terms of Use)
Build vala backend with vala 0.26 (568 bytes, patch)
2014-07-27 11:05 UTC, Ville Skyttä
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 734026 None None None Never

Description Ville Skyttä 2014-07-27 11:05:21 UTC
Created attachment 921447 [details]
Build vala backend with vala 0.26

https://kojipkgs.fedoraproject.org//packages/gnome-code-assistance/0.3.1/7.fc22/data/logs/x86_64/build.log

Configuration:
	backends:
		vala:           [31mno[0m

Fix attached, build tested only. I also suggest %configuring with --disable-silent-rules to see the compiler commands used in build logs.

Comment 1 Kalev Lember 2014-07-27 12:38:01 UTC
Thanks for the patch, but can you do the change in configure.ac and against the https://git.gnome.org/browse/gnome-code-assistance repo and format it with git-format-patch please?

https://wiki.gnome.org/GnomeLove/SubmittingPatches

Comment 2 Ville Skyttä 2014-07-27 15:27:30 UTC
Can do tomorrow or in a few days unless someone has beaten me to it.

Comment 3 Ville Skyttä 2014-07-31 08:35:03 UTC
https://bugzilla.gnome.org/show_bug.cgi?id=734026

Comment 4 Jaroslav Reznik 2015-03-03 16:09:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 5 Fedora End Of Life 2016-07-19 11:58:35 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.